export declare type Either<S, F> = Success<S, F> | Failure<S, F>;
export declare class Success<S, F> {
    readonly value: S;
    constructor(value: S);
    isSuccess(): this is Success<S, F>;
    isFailure(): this is Failure<S, F>;
}
export declare class Failure<S, F> {
    readonly value: F;
    constructor(value: F);
    isSuccess(): this is Success<S, F>;
    isFailure(): this is Failure<S, F>;
}
export declare const success: <S, F>(l: S) => Either<S, F>;
export declare const failure: <S, F>(a: F) => Either<S, F>;
